For the complete documentation index, see llms.txt. This page is also available as Markdown.

APIKey IPWhitelist

API key IP whitelist management

Get all whitelist IP ranges

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
apiKeyIdintegerRequired

ID of API key

Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA:start=0,results=25

Responses
200

OK

application/json
idinteger · integerRead-onlyRequired

Whitelist ID

ipStartstring · nullableOptional

Start IP of API key IP whitelist range

ipEndstring · nullableOptional

End IP of API key IP whitelist range

ipRangestring · nullableOptional

CIDR IP range of API key whitelist

commentsstring · nullableOptional

IP whitelist range comments

activeinteger · integerRequired

Whether or not this IP whitelist range is active

updatedAtinteger · integerRead-onlyRequired

Last time this IP whitelist range was updated

get/v3/account/apiKey/{apiKeyId}/whitelist
GET /v3/account/apiKey/{apiKeyId}/whitelist HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": 1,
    "ipStart": "text",
    "ipEnd": "text",
    "ipRange": "text",
    "comments": "text",
    "active": 1,
    "updatedAt": 1
  }
]

Add IP range to the whitelist

post
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
apiKeyIdintegerRequired

ID of API key

Body
idinteger · integerRead-onlyRequired

Whitelist ID

ipStartstring · nullableOptional

Start IP of API key IP whitelist range

ipEndstring · nullableOptional

End IP of API key IP whitelist range

ipRangestring · nullableOptional

CIDR IP range of API key whitelist

commentsstring · nullableOptional

IP whitelist range comments

activeinteger · integerRequired

Whether or not this IP whitelist range is active

updatedAtinteger · integerRead-onlyRequired

Last time this IP whitelist range was updated

Responses
200

OK

application/json
idinteger · integerRead-onlyRequired

Whitelist ID

ipStartstring · nullableOptional

Start IP of API key IP whitelist range

ipEndstring · nullableOptional

End IP of API key IP whitelist range

ipRangestring · nullableOptional

CIDR IP range of API key whitelist

commentsstring · nullableOptional

IP whitelist range comments

activeinteger · integerRequired

Whether or not this IP whitelist range is active

updatedAtinteger · integerRead-onlyRequired

Last time this IP whitelist range was updated

post/v3/account/apiKey/{apiKeyId}/whitelist
POST /v3/account/apiKey/{apiKeyId}/whitelist HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 79

{
  "ipStart": "text",
  "ipEnd": "text",
  "ipRange": "text",
  "comments": "text",
  "active": 1
}
[
  {
    "id": 1,
    "ipStart": "text",
    "ipEnd": "text",
    "ipRange": "text",
    "comments": "text",
    "active": 1,
    "updatedAt": 1
  }
]

Update whitelisted IP range

put
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
apiKeyIdintegerRequired

ID of API key

apiKeyWhitelistIdintegerRequired

Whitelisted IP range ID

Body
idinteger · integerRead-onlyRequired

Whitelist ID

ipStartstring · nullableOptional

Start IP of API key IP whitelist range

ipEndstring · nullableOptional

End IP of API key IP whitelist range

ipRangestring · nullableOptional

CIDR IP range of API key whitelist

commentsstring · nullableOptional

IP whitelist range comments

activeinteger · integerRequired

Whether or not this IP whitelist range is active

updatedAtinteger · integerRead-onlyRequired

Last time this IP whitelist range was updated

Responses
200

OK

application/json
idinteger · integerRead-onlyRequired

Whitelist ID

ipStartstring · nullableOptional

Start IP of API key IP whitelist range

ipEndstring · nullableOptional

End IP of API key IP whitelist range

ipRangestring · nullableOptional

CIDR IP range of API key whitelist

commentsstring · nullableOptional

IP whitelist range comments

activeinteger · integerRequired

Whether or not this IP whitelist range is active

updatedAtinteger · integerRead-onlyRequired

Last time this IP whitelist range was updated

put/v3/account/apiKey/{apiKeyId}/whitelist/{apiKeyWhitelistId}
PUT /v3/account/apiKey/{apiKeyId}/whitelist/{apiKeyWhitelistId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 79

{
  "ipStart": "text",
  "ipEnd": "text",
  "ipRange": "text",
  "comments": "text",
  "active": 1
}
[
  {
    "id": 1,
    "ipStart": "text",
    "ipEnd": "text",
    "ipRange": "text",
    "comments": "text",
    "active": 1,
    "updatedAt": 1
  }
]

Delete whitelisted IP range

delete
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
apiKeyIdintegerRequired

ID of API key

apiKeyWhitelistIdintegerRequired

Whitelisted IP range ID

Responses
204

No Content

No content

delete/v3/account/apiKey/{apiKeyId}/whitelist/{apiKeyWhitelistId}
DELETE /v3/account/apiKey/{apiKeyId}/whitelist/{apiKeyWhitelistId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*

No content

Last updated

Was this helpful?